Errors

When an operation fails because of an error, Socrata services return an HTTP error code and include additional details in the response body. Error details include a message and an error code. Error codes are standardized across services.

Accepted

HTTP status code: 202
Error code: accepted

Authentication Required

HTTP status code: 401
Error code: authentication_required

You accessed a resource that requires authentication without a valid session. To access the resource, first authenticate using the Authentication Service.

Deserialization

HTTP status code: 400
Error code: deserialization

The server could not respond to your request because the server was unable to parse the service input. The error message contains additional details that you can use to diagnose the problem.

Execution Timeout

HTTP status code: 504
Error code: execution_timeout

The operation did not finish within time allowed.

Internal

HTTP status code: 500
Error code: internal

An unrecoverable internal error prevented the server from fulfilling a resource request. If you continually receive this error code please contact Socrata Support.

Invalid Request

HTTP status code: 400
Error code: invalid_request

The server could not respond to your request because the input you provided was not structured correctly. The error message contains additional details that you can use to diagnose the problem.

Method Not Allowed

HTTP status code: 405
Error code: method_not_allowed

The server could not respond to your request because the HTTP method used is not allowed. The error message contains additional details that you can use to diagnose the problem.

Not Found

HTTP status code: 404
Error code: not_found

The resource you attempted to access does not exist or you do not have proper privileges for access.

Permission Denied

HTTP status code: 403
Error code: permission_denied

You attempted to access a resource or method for which you are not authorized.

Row Cache Timeout

HTTP status code: 0
Error code: null

Row Id Cache

HTTP status code: 0
Error code: null

Too Many Requests

HTTP status code: 429
Error code: too_many_requests

You attempted to access a resource or method for which you are not authorized.

Type Mismatch

HTTP status code: 400
Error code: type_mismatch

The server could not respond to your request because the input you provided contained a datatype that was not compatible with the structure expected by the server. The error message contains additional details that you can use to diagnose the problem.

Unacceptable Response Type

HTTP status code: 406
Error code: unacceptable_response_type

The server was unable to provide content in the MIME type requested by the user agent. You can control the returned MIME type using the HTTP Accept header or by providing a file extension in the resource URL such as .json or .html.

Unchecked Client Http

HTTP status code: 0
Error code: null